-- --------------------------------------------------------
--
-- Table `qo-kregator-conf`
--

CREATE TABLE IF NOT EXISTS `qo-kregator-conf` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userID` int(10) unsigned NOT NULL,
  `old_items` tinyint(3) unsigned default NULL,
  `refresh_feed` tinyint(3) unsigned NOT NULL default '10',
  `preview_pane` enum('bottom','right','hide') NOT NULL default 'bottom',
  `showSummary` enum('true','false') NOT NULL default 'true',
  `tree_panel_width` int(11) NOT NULL default '254',
  `grid_panel_height` int(11) NOT NULL default '150',
  `preview_panel_south_height` int(11) NOT NULL default '300',
  `preview_panel_east_width` int(11) NOT NULL default '400',
  `content_font_size` tinyint(4) unsigned NOT NULL default '11',
  `showStatusBar` enum('on','off') NOT NULL default 'on',
  `tbFeedBtn` varchar(255) NOT NULL default 'AddFeed,AddFolder,ExpandCollapse,RefreshFeed',
  `openMode` enum('FullScreen','Window','Minimized') NOT NULL default 'Window',
  `dateTimeFormat` varchar(50) NOT NULL default 'd/m/y, H:i',
  `dateFormat` varchar(50) NOT NULL default 'd/m/y',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='User''s Configuration';

-- --------------------------------------------------------
--
-- Table `qo-kregator-dir`
--

CREATE TABLE IF NOT EXISTS `qo-kregator-dir` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('file','folder') NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image` varchar(255) NOT NULL,
  `favicon` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `url_feed` varchar(255) NOT NULL,
  `view` enum('normal','site') NOT NULL default 'normal',
  `refreshCycle` enum('on','off') NOT NULL default 'on',
  `node` int(11) NOT NULL,
  `display_order` int(10) unsigned NOT NULL,
  `expand` tinyint(1) NOT NULL default '1',
  `userID` int(11) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Folder structure';

-- --------------------------------------------------------
--
-- Table `qo-kregator-items`
--

CREATE TABLE IF NOT EXISTS `qo-kregator-items` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `id_feed` int(10) unsigned NOT NULL,
  `titre` varchar(255) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `auteur` varchar(255) NOT NULL,
  `summary` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `url` varchar(255) NOT NULL,
  `seen` enum('y','n') NOT NULL default 'n',
  `important` enum('y','n') NOT NULL default 'n',
  `userID` int(11) NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='All items';

-- ----------------------------------------------------------------------------
-- Add qo-kregator to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
        `directory`,
        `author`,
        `version`,
        `url`,
        `description`,
        `class_name`,
        `module_type`,
        `module_id`,
        `menu_path`,
        `launcher_icon_cls`,
        `launcher_shortcut_icon_cls`,
        `launcher_text`,
        `launcher_tooltip`,
        `active`,
        `preload`
) VALUES (
        'qo-kregator/',
        'Yannick Torrès',
        '2.0',
        'http://qo-modules.tuxfamily.org/',
	'An Atom/RSS/Podcast viewer',
	'QoDesk.QoKregator',
	'qo-kregator',
	'qo-kregator',
        'StartMenu/Internet',
        'qo-kregator-icon',
        'qo-kregator-win-shortcut',
        'Qo Kregator',
        '<b>Qo Kregator</b><br />An Atom/RSS/Podcast viewer',
        1,
        0
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_files & qo_modules_stylesheets
-- ----------------------------------------------------------------------------
insert into `qo_modules_files` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/', 'qo-kregator.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/', 'qo-kregator.css'
from (select id from qo_modules where module_id like 'qo-kregator') m;

-- ----------------------------------------------------------------------------
-- Add dependencies to qo_modules_dependencies
-- ----------------------------------------------------------------------------

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/miframe/', 'miframe.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/FileUploadField/', 'FileUploadField.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/MultiselectItemSelector/', 'Multiselect.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/MultiselectItemSelector/', 'Multiselect.css'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/spinner/', 'Spinner.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/ux/spinner/', 'SpinnerStrategy.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

insert into `qo_modules_dependencies` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-kregator/locale/', 'qo-kregator-en.js'
from (select id from qo_modules where module_id like 'qo-kregator') m;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------
insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 1
from (select id from qo_groups) g
   , (select id from qo_modules where module_id like 'qo-kregator') m;